Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598551 - "pkg-config --libs OpenIPMIpthread" fails
"pkg-config --libs OpenIPMIpthread" fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
13
All Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 468067
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 11:40 EDT by Alan Pevec
Modified: 2010-06-21 09:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: OpenIPMI-2.0.16-9.fc13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 468067
Environment:
Last Closed: 2010-06-21 09:00:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2010-06-01 11:40:06 EDT
Clone for F-13

+++ This bug was initially created as a clone of Bug #468067 +++

...
Please remove bogus pthread from Requires:
in /usr/lib/pkgconfig/OpenIPMIpthread.pc
and add -pthread to Cflags:

--- Additional comment from jsafrane@redhat.com on 2010-06-01 08:52:21 EDT ---
> Can you also apply the pkgconfig patch to F-12 and F-13?    
Of course I can! If only _someone_ opened a bug for me there ;-).
Comment 1 Fedora Update System 2010-06-02 04:11:07 EDT
OpenIPMI-2.0.16-9.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/OpenIPMI-2.0.16-9.fc13
Comment 2 Fedora Update System 2010-06-02 14:10:09 EDT
OpenIPMI-2.0.16-9.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update OpenIPMI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/OpenIPMI-2.0.16-9.fc13
Comment 3 Fedora Update System 2010-06-21 09:00:17 EDT
OpenIPMI-2.0.16-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.